# JsonConfigManager

object JsonConfigManager
Content copied to clipboard

## Functions

loadConfig
Link copied to clipboard
inline fun <T : Any> loadConfig(file: File, stringFormat: Json): T
Content copied to clipboard
loadOrCreateDefault
Link copied to clipboard
inline fun <T : Any> loadOrCreateDefault(file: File, stringFormat: Json, default: () -> T): T
Content copied to clipboard
saveConfig
Link copied to clipboard
inline fun <T : Any> saveConfig(file: File, config: T, stringFormat: Json)
Content copied to clipboard